# rpmsw_s Struct Reference
[RPMIO.]

`#include <rpmio/rpmsw.h>`

## Data Fields

union {
struct timeval tv
unsigned long long int ticks
unsigned long int tocks [2]
} | u

## Detailed Description

Definition at line 22 of file rpmsw.h.

## Field Documentation

struct timeval rpmsw_s::tv `[read]`

Definition at line 24 of file rpmsw.h.

Referenced by rpmswDiff(), and rpmswNow().

unsigned long long int rpmsw_s::ticks

Definition at line 25 of file rpmsw.h.

Referenced by rpmswDiff(), and rpmswNow().

unsigned long int rpmsw_s::tocks[2]

Definition at line 26 of file rpmsw.h.

union { ... } rpmsw_s::u

Referenced by rpmswDiff(), and rpmswNow().

The documentation for this struct was generated from the following file:

- rpmio/rpmsw.h